Subject: Re: [PATCH] commit: Add -f, --fixes <commit> option to add Fixes: line

From: Stefan Beller <[email-masked]>
Date: Fri, 01 Nov 2013 00:03:21 +0100

On 10/27/2013 05:30 PM, Thomas Rast wrote:
> Stefan Beller <[email-masked]> writes:
> 
>> I assembled an overview table, which plots the long options of 
>> git commands by the short letters.
> [...]
>> (In case thunderbird messes it up, here it is again http://pastebin.com/raw.php?i=JBci2Krx)
>>
>> As you can see, f is always --force except for git-config, where it is --file
> 
> Woah!  Impressive work.  Did you autogenerate this?  If so, can we have
> it as a small make target somewhere?  If not, can you send a patch to
> put your table in Documentation somewhere?
> 

[ Removing the linux related mailing lists and participants ]

Would you mind to define 
> in Documentation somewhere
a little more precise?
I cannot really find a suitable place for such a table as in the main
Documentation direcotry there are basically the man page informations 
and some git development related things, such as SubmittingPatches.
The sub directories are even less fitting, so maybe 
	Documentation/ShortOptions 
would be fine?

Anyway, as I couldn't really come up with a reliable way for the shell
commands, I just went manually through all the missing commands 
(be it written in shell or missing compiled commands), 
and added it to the script. The script itself was reworked a little,
to better be able to add manual information.

Any suggestions how to improve the script or the table itself is 
welcome.

Thanks,
Stefan